Displaying 5 results from an estimated 5 matches for "claim_lock".
2010 Jul 08
0
Bug#588406: xen-utils-common: /etc/xen/scripts/block not driving helper scripts; XEN_SCRIPT_DIR not properly set
...quot;$dev" ]
then
dev=$(readlink -f "$dev") || fatal "$dev link does not exist."
fi
test -e "$dev" || fatal "$dev does not exist."
test -b "$dev" || fatal "$dev is not a block device."
claim_lock "block"
check_device_sharing "$dev" "$mode"
write_dev "$dev"
release_lock "block"
exit 0
;;
file)
# Canonicalise the file, for sharing check comparison, and the mode
# for ease of use here.
file=$(rea...
2012 Oct 13
4
[PATCH] hotplug/Linux: close lockfd after lock attempt
...n each iteration seem to fix the
issue.
This was observed with sles11sp2 and 4.2 xend.
Signed-off-by: Olaf Hering <olaf@aepfle.de>
diff -r e0e1350dfe9b -r 5aa14d5afe6b tools/hotplug/Linux/locking.sh
--- a/tools/hotplug/Linux/locking.sh
+++ b/tools/hotplug/Linux/locking.sh
@@ -59,6 +59,7 @@ claim_lock()
print "y\n" if $fd_inum eq $file_inum;
'' "$_lockfile" )
if [ x$rightfile = xy ]; then break; fi
+ eval "exec $_lockfd<&-"
done
}
2013 Oct 15
0
Antw: Xen-users Digest, Vol 104, Issue 18
...> multiple times, and the instances were stomping on each other. It''s
> possible that the fact that it is running multiple times is the root
> cause of my issues here, but even if it should only be getting called
> once, it seems that there''s an issue with the call to claim_lock.
>
> claim_lock happens after the checks that would make network-bridge exit earlly:
>
> if [ "${bridge}" = "null" ] ; then
> return
> fi
>
> if [ `brctl show | wc -l` != 1 ]; then
> return
> fi
>
> if link_exists "$pdev";...
2012 Sep 21
1
PATCH [base vtpm and libxl patches 3/6] Fix bugs in vtpm hotplug scripts
...0000010102"
+TPM_CMD_CLOS="0000000001C10000000E01000002"
+TPM_CMD_DELE="0000000001C10000000E01000003"
+
+TPM_TYPE_PVM=01
+TPM_TYPE_HVM=02
TPM_SUCCESS=00000000
@@ -70,24 +72,19 @@ function vtpm_manager_cmd() {
local inst=$2;
local inst_bin=$(hex32_to_bin $inst);
- claim_lock vtpm_mgr
-
- #send cmd to vtpm_manager
- printf "$cmd$inst_bin" > $TX_VTPM_MANAGER
-
- #recv response
- set +e
- local resp_hex=`dd skip=10 bs=1 count=4 if=$RX_VTPM_MANAGER 2>
/dev/null | xxd -ps`
- set -e
+ local resp_hex
+ #send cmd to vtpm_manager and get response
+ if ! resp_hex...
2013 Oct 21
36
[PATCH 0 of 5 V3] Remus/Libxl: Network buffering support
This patch series adds support for network buffering in the Remus
codebase in libxl.
Changes in V3:
[1/5] Fix redundant checks in configure scripts
(based on Ian Campbell''s suggestions)
[2/5] Introduce locking in the script, during IFB setup.
Add xenstore paths used by netbuf scripts
to xenstore-paths.markdown
[3/5] Hotplug scripts setup/teardown invocations are now